View Issue Details

IDProjectCategoryView StatusLast Update
0033623FPCRTLpublic2018-08-17 17:40
ReportersilvioprogAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionProduct Build 
Target Version3.2.0Fixed in Version3.1.1 
Summary0033623: [FEATURE REQUEST] DateTimeToUnix(): AInputIsUTC parameter for Delphi compatibility
DescriptionHello.

It would be nice if "DateTimeToUnix()"[1] function could allow the "AInputIsUTC" parameter for Delphi compatibility.

[1] http://docwiki.embarcadero.com/Libraries/Tokyo/en/System.DateUtils.DateTimeToUnix
Additional Informationand "AReturnUTC" to "UnixToDateTime()" as documented here: http://docwiki.embarcadero.com/Libraries/Tokyo/en/System.DateUtils.UnixToDateTime
TagsNo tags attached.
Fixed in Revision39444
FPCOldBugId
FPCTarget
Attached Files

Activities

Marco van de Voort

2018-04-22 16:54

manager   ~0107921

Afaik we have no centralized cross-platform timezone info. Only the old TZseconds for *nix.

Michael Van Canneyt

2018-04-22 18:08

administrator   ~0107929

Yes we do :
https://www.freepascal.org/docs-html/current/rtl/sysutils/getlocaltimeoffset.html

Michael Van Canneyt

2018-07-13 09:23

administrator   ~0109421

Added, thanks for reporting!

silvioprog

2018-08-17 17:40

reporter   ~0110079

You're welcome dude. Thank you very much for implementing it! (y)

Issue History

Date Modified Username Field Change
2018-04-20 08:30 silvioprog New Issue
2018-04-22 08:54 Michael Van Canneyt Assigned To => Michael Van Canneyt
2018-04-22 08:54 Michael Van Canneyt Status new => assigned
2018-04-22 16:54 Marco van de Voort Note Added: 0107921
2018-04-22 18:08 Michael Van Canneyt Note Added: 0107929
2018-07-13 09:23 Michael Van Canneyt Fixed in Revision => 39444
2018-07-13 09:23 Michael Van Canneyt Note Added: 0109421
2018-07-13 09:23 Michael Van Canneyt Status assigned => resolved
2018-07-13 09:23 Michael Van Canneyt Fixed in Version => 3.1.1
2018-07-13 09:23 Michael Van Canneyt Resolution open => fixed
2018-07-13 09:23 Michael Van Canneyt Target Version => 3.2.0
2018-08-17 17:40 silvioprog Note Added: 0110079
2018-08-17 17:40 silvioprog Status resolved => closed